// this interface goal structure.
package clarion.acs.gs;
import java.util.Vector;

public interface GoalStructure{

   // get the size of the goal structure.
   public boolean isEmpty();
   public int getSize();
   public int getDoNothingAction();
   // get the currently active goal.
   public int getActiveGoal();
   // get the currently active goal item.
   public GoalChunk getActiveItem();
   // 'set' action.
   public boolean actionSet( int idx );
   // 'reset' action.
   public boolean actionReset(int idx );
   // 'no goal' action.
   public boolean actionNoGoal();
   // the currently active goal is finished.
   public void goalFinished( boolean popFlag );
   // update.
   public void updateState( double[] state );
}