package clarion.acs.net.auxiliary;
import clarion.common.*;

/**
 *  this interface is for IRL rule template. If IRL is set, user should implement
 *  this interface to give concrete IRL rules.
 */
public interface IrlRuleForm {
   /**
    * fill in the suggestedAction and return the rule support for current input.
    */
   public double determineAction( short[] state, short[] exState, short[] gsState, short[] wmState,
                                  short[] suggestedAction );
   public void generalize();
   public void specialize();
}