package clarion.nacs;
import clarion.system.*;
import clarion.common.*;

public class AbsEMSample{

   Chunk  curState;
   Chunk  curAction;
   Chunk  nextState;
   double reward;
   double stateDistributions[];
   Chunk  potentialNextStates[];

   public AbsEMSample( Chunk curState, Chunk curAction, Chunk nextState, double rewardIdx,
                       double[] stateDistributions, Chunk[] potentialNextStates )
   {
      this.curState = curState;
      this.curAction = curAction;
      this.nextState = nextState;
      this.reward = reward;
      this.stateDistributions = stateDistributions;
      this.potentialNextStates = potentialNextStates;
   }

   public Chunk getCurState()
   {
      return curState;
   }

   public Chunk getCurAction()
   {
      return curAction;
   }

   public Chunk getNextState()
   {
      return nextState;
   }

   public double getReward()
   {
      return reward;
   }

   public double[] getStateDistributions()
   {
      return stateDistributions;
   }

   public Chunk[] getPotentialNextStates()
   {
      return potentialNextStates;
   }
}