package clarion.nacs;
import java.util.Vector;
import clarion.system.*;
import clarion.common.*;
import clarion.tools.*;

public class EMChunk extends Chunk{

   long timeStamp;

   public EMChunk( Chunk chunk, long time, Global g )
   {
      super( chunk.getChunkType(), chunk.getLabel(), chunk.getFeatures(), g );
      timeStamp = time;
   }

   public EMChunk( int type, String label, Chunk[] chunks, long time, Global g )
   {
      super( type, label, chunks, g );
      timeStamp = time;
   }

   public long getTimeStamp()
   {
      return timeStamp;
   }

   public void setTimeStamp( long time )
   {
      timeStamp = time;
   }
}