package clarion.options.dims;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import clarion.system.*;
import clarion.options.*;

public class GuiDims extends GuiTemplate{

  String buttonTexts[] = { "Input Dimensions", "Output Dimensions" };
  String frameNames[] = { "INPUT DIMENSIONS", "OUTPUT DIMENSIONS" };
  int[] widths = { 480, 480 };
  int[] heights = { 780, 780 };
  int[] itemNums = { 30, 30 };
  SelectionTemplate dims[];

  public GuiDims( int num )
  {
     super( num, "SPECIFICATION OF I/O DIMENSIONS" );
     setButtonTexts( buttonTexts );
     dims = new SelectionTemplate[ OPT_NUM ];
     for( int i = 0; i < OPT_NUM; i++ )
          dims[i] = new SelectionDims(this,widths[i],heights[i],frameNames[i],itemNums[i],i,transfer);
  }

  public void update()
  {
  }

  public void addActionListeners( final JFrame mainFrame )
  {
     for( int i = 0; i < OPT_NUM; i++ ){
          final int idx = i;
          optButtons[ idx ].addActionListener(  new  ActionListener(){
                  public void actionPerformed( ActionEvent e ){
                      activeButtonIdx = idx;
                      dims[idx].setEnabled( true );
                      dims[idx].setVisible( true );
                      setEnabled( false );
                 }
             } );
     }
  }

}