package tasksimulators.oldsimu;

public class ExWM extends WorkingMemory{
  final double NULL_VAL = -1;
  double activations[];

  public ExWM( int size )
  {
     super( size );
     activations = new double[ size_WM ];
     for( int i = 0; i < size_WM; i++ )
          activations[ i ] = NULL_VAL;
  }

  public int isOccupied( int idx )
  {
     if( activations[ idx ] == NULL_VAL )
         return 0;
     else
         return 1;
  }

  public double getActivation( int idx )
  {
     return activations[ idx ];
  }

  public void setActivation( int idx, double val )
  {
     activations[ idx ] = val;
  }

  public void resetAllActivations()
  {
     for( int i = 0; i < size_WM; i++ )
          activations[ i ] = NULL_VAL;
  }
}