// Rule reasoning part for the dynamic control task
package tasksimulators.oldsimu;
import java.lang.*;
import clarion.common.*;
import clarion.tools.*;

public class SimpleRule
{
    int action, P1;    // the previous input and output.
    int target;

    public SimpleRule( int goal, int initAction, int initOutput )
    {
        target = goal;
        P1 = initOutput;
        action = initAction;
    }

    // set previous action and output after updating rules.
    public void setParams( int oldAction, int oldOutput )
    {
        action = oldAction;
        P1 = oldOutput;
    }

   //determine the desirabilities of all the actions by the current rule set.
    public double[] getRecommendedAction()
    {
	//zero out the FillMe array
        double[] FillMe = new double[(int)World.TASK_PARA_ARRAY[World.NET_OUTPUT_NUM]];

	for( int j = 0; j < (int)World.TASK_PARA_ARRAY[World.NET_OUTPUT_NUM]; j++)
             FillMe[j] = 0;

        action = ( P1 + target ) / 2;
        FillMe[ action ] = World.MAX_ACTIVATION_VAL;
        return FillMe;
    }

    public StringBuffer getRules()
    {
        StringBuffer str = new StringBuffer( " W = ( TARGET + P1 ) / 2 " );
        return str;
    }

}

