package clarion.acs.net;
import clarion.common.*;

public interface AcsNetComp{

  public double getPM();
  public double getNM();
  public Chunk[] getAllConclusions();
  public double[] getOutputActivations();
  public void getOutputActivations( double[] activations );
  public short[] decideAction();
  public int  getResponseTime( int AT );
  public void setChosenAction( short[] action );
  public void setStates( double[] state, double[] exState, double[] gsState, double[] wmState );
  public void setCurrentTime( int curTime );
  public void reasoning();
  public void update( boolean posFlag );
  public void update( double reward );
  public void calcRT( int AT );
}