//package acs.bottom;
package clarion.acs.wm;
import java.util.Vector;
import clarion.common.*;

public class WMChunk extends CommonChunk{

  // represent different type of chunks: visuopatial, auditory/verbal and
  // other information.
  int type;
  boolean removed, activated;

  public WMChunk( int cId, int dNum, int[] dValNums, int[] dTypeInfo, double initBla, int type )
  {
      //?????????
      super( cId, -1, dNum, dValNums, dTypeInfo, initBla );
      this.type = type;
  }

  public WMChunk( int cId, int dNum, short[] dValNums, short[] dTypeInfo, double initBla, int type )
  {
      //?????????
      super( cId, -1, dNum, dValNums, dTypeInfo, initBla );
      this.type = type;
  }

  public void reinit( int type, Vector con )
  {
     //removed = false;
     activated = false;
     super.reinit( type, con );
  }

  public boolean isRemoved()
  {
     return removed;
  }

  public boolean isActivated()
  {
     return activated;
  }

  public int getType()
  {
     return type;
  }

  public void setRemoved( boolean val )
  {
     removed = val;
  }

  public void setActivated( boolean val )
  {
     activated = val;
  }
}