package clarion.common;

public class SortableElement implements Comparable{
    double activation;
    int chunkIdx;

    public SortableElement( double activation, int chunkIdx )
    {
       this.activation = activation;
       this.chunkIdx = chunkIdx;
    }

    public double getKeyValue()
    {
       return activation;
    }

    public int getChunkIdx()
    {
        return chunkIdx;
    }

    public int compareTo(Object obj) throws ClassCastException
    {
        SortableElement otherElement = null;
        try{
           otherElement = (SortableElement)obj;
        }
        catch( ClassCastException e ){
               System.out.println( e );
        }
        int compValue = 0;
        if( this.getKeyValue() > otherElement.getKeyValue() )
            compValue = 1;
        if( this.getKeyValue() < otherElement.getKeyValue() )
            compValue = -1;
        return compValue;
    }
}