package clarion.nacs;
import clarion.system.*;
import clarion.common.*;

public class EMAcsSample{

   Chunk  curState;
   Chunk  curAction;
   Chunk  nextState;
   double  reward;

   public EMAcsSample( Chunk curState, Chunk curAction, Chunk nextState, double reward )
   {
      this.curState = curState;
      this.curAction = curAction;
      this.nextState = nextState;
      this.reward = reward;
   }

   public Chunk getCurState()
   {
      return curState;
   }

   public Chunk getCurAction()
   {
      return curAction;
   }

   public Chunk getNextState()
   {
      return nextState;
   }

   public double getReward()
   {
      return reward;
   }

   public String toString()
   {
      String str = "cs="+ curState + "act=" + curAction + ", ns=" + nextState + "rwd=" + reward;
      return str;
   }
}