package clarion.options;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import clarion.system.*;
import clarion.tools.*;

public class SeeSampleFrame extends JFrame {

 JFrame superFrame;
 JScrollPane areaScrollPane;
 JTextArea showArea = new JTextArea( 30, 60 );
 JButton returnButton = new JButton( "return" );


 public SeeSampleFrame( JFrame superFrame )
 {
    this.superFrame = superFrame;
    this.setName( "SAMPLE CODES" );
    setSize( 500, 400 );
    this.getContentPane().setLayout( new BorderLayout());
    areaScrollPane = new JScrollPane(showArea);
    areaScrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
    areaScrollPane.setPreferredSize(new Dimension(250, 250));
    areaScrollPane.setBorder( BorderFactory.createLineBorder(Color.black) );

    returnButton.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(ActionEvent e) {
            setEnabled( false );
            setVisible( false );
         }
    });
    this.getContentPane().add( areaScrollPane, BorderLayout.CENTER );
    this.getContentPane().add( returnButton, BorderLayout.SOUTH );
 }

 public void showSample( String text )
 {
    showArea.setText( text );
 }

}