package clarion.options.acs.net;
import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;
import java.awt.event.*;
import clarion.options.*;
import clarion.system.*;

public class SelectionAcsFR extends SelectionAcsRule{
 final int COND = 16, ACTION = 17;
 // rules
 JPanel rulePanel = new JPanel();
 JLabel ruleLabel = new JLabel();
 JLabel[] ruleLabels = new JLabel[2]; {
    ruleLabels[0] = new JLabel();
    ruleLabels[1] = new JLabel();
 }
 JButton[] frSampleButtons = new JButton[2];{
    frSampleButtons[0] = new JButton();
    frSampleButtons[1] = new JButton();
 }
 JButton[] ruleLoadButtons = new JButton[2]; {
    ruleLoadButtons[0] = new JButton();
    ruleLoadButtons[1] = new JButton();
 }
 JLabel[] ruleFileLabels = new JLabel[2]; {
    ruleFileLabels[0] = new JLabel();
    ruleFileLabels[1] = new JLabel();
 }
 JTextField[] ruleFileFields = new JTextField[2]; {
    ruleFileFields[0] = new JTextField();
    ruleFileFields[1] = new JTextField();
 }
 JLabel[] ruleMethodLabels = new JLabel[2]; {
    ruleMethodLabels[0] = new JLabel();
    ruleMethodLabels[1] = new JLabel();
 }
 JTextField[] ruleMethodFields = new JTextField[2]; {
    ruleMethodFields[0] = new JTextField();
    ruleMethodFields[1] = new JTextField();
 }
 // return buttons.
 JButton nextButton = new JButton();
 JButton backButton = new JButton();

 public SelectionAcsFR( JFrame superFrame, int width, int height, int netType, int netIdx, int setIdx,
                        SettingTransfer transfer )
 {
    super( superFrame, width, height, netType, netIdx, Global.FR, setIdx, transfer );
    // add new components.
    addNewComponents();
    // update
    update();
 }

 public void update()
 {
    super.update();
    if( setIdx > 0 )
        backButton.setEnabled( true );
    else
        backButton.setEnabled( false );
    if( setIdx < transfer.getAcsCompFileNum( netType, netIdx, Global.FR )-1 )
        nextButton.setEnabled( true );
    else
        nextButton.setEnabled( false );
 }

 protected void addNewComponents()
 {
    // FR rules.
    initPanel( rulePanel, BORDER, null, new Rectangle(644, 364, 312, 156));
    initLabel( ruleLabel,"Fixed rule Information", new Rectangle(4, 4, 160, 17));
    seeFrame = new SeeSampleFrame( this );
    seeFrame.setEnabled( false );
    seeFrame.setVisible( false );
    String[] ruleTexts = { "rule condition", "rule action" };
    for( int i = 0; i < 2; i++ ){
         initLabel( ruleLabels[i], ruleTexts[i], new Rectangle(4, 24+66*i, 100, 17));
         rulePanel.add( ruleLabels[i] );
         initSeeButton( frSampleButtons[i], new Rectangle(180, 24+66*i, 110, 17),
                        TaskClarion.getSample(TaskClarion.ACS, TaskClarion.FR_CON + i ) );
         initLoadBlock( rulePanel, ruleLoadButtons[i], new Rectangle(110, 24+66*i, 64, 17), ruleFileLabels[i],
                new Rectangle(8, 44+66*i, 100, 17), ruleMethodLabels[i], new Rectangle(8, 64+66*i, 100, 17),
                ruleFileFields[i], new Rectangle(110, 44+66*i, 180, 17), ruleMethodFields[i],
                new Rectangle(110, 64+66*i, 180, 17), options[COND+i], 0 );
    }
    // return
    initReturnButton( backButton, "BACK", new Rectangle(626, 540, 110, 29), setIdx, 0 );
    initReturnButton( nextButton, "NEXT", new Rectangle(736, 540, 110, 29), setIdx, 1 );
    // add components.
    rulePanel.add(ruleLabel, null);
    rulePanel.add(frSampleButtons[0], null);
    rulePanel.add(frSampleButtons[1], null);
    rootContainer.add(rulePanel, null);
    rootContainer.add(nextButton, null);
    rootContainer.add(backButton, null);
 }
}