package clarion.options.nacs;
import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;
import java.awt.event.*;
import clarion.options.*;
import clarion.system.*;

public class SelectionGks extends SelectionTemplate{
 final int IN_DIM_TYPE = 0, OUT_DIM_TYPE = 1, IN_DIM_IDX = 2, OUT_DIM_IDX = 3, TEMP = 4;
 final int ESC = 5, EPI = 6, UTL_ON = 7, SUP_ON = 8, PM_ON = 9, RBLA_ON = 10;
 final int CBLA_ON = 11, WEIGHT = 12, UTL = 13, RBLA = 14, CBLA = 15, ABLA = 16;
 final int NBLA = 17, EM_TH = 18, EM_PROB = 19, EM_ITEM = 20, EM_ITER = 21;
 final int SBR = 22, SBR_TH = 23, SBR_PARAM = 24, REXT_ON = 25, RENC_ON = 26;
 final int ASSIM_ON = 27, CENC_ON = 28, CEXT_ON = 29, MCS_ON = 30;
 final int CENC_PROB = 31, RENC_PROB = 32, CDEN = 33, RDEN = 34, REXT_TH = 35;
 final int CEXT_TH = 36, REXT_PROB = 37, CEXT_PROB = 38, TH_MEASURE = 39;
 final int ON = 0, OFF = 1;

 JFrame superFrame;
 JLabel capLabel = new JLabel();
 // general
 JPanel genPanel = new JPanel();
 JLabel ioLabel = new JLabel();
 JButton inDimButton = new JButton();
 JButton outDimButton = new JButton();
 JLabel tempLabel = new JLabel();
 JTextField tempField = new JTextField();
 JLabel escLabel = new JLabel();
 JRadioButton[] escButtons = new JRadioButton[2]; {
    for( int i = 0; i < 2; i++ )
         escButtons[i] = new JRadioButton();
 }
 JLabel epiLabel = new JLabel();
 JRadioButton[] epiButtons = new JRadioButton[2];{
   epiButtons[0] = new JRadioButton();
   epiButtons[1] = new JRadioButton();
 }
 // representation.
 JPanel repPanel = new JPanel();
 JLabel repLabel = new JLabel();
 JLabel repUtlLabel = new JLabel();
 JRadioButton[] repUtlButtons = new JRadioButton[2];{
   repUtlButtons[0] = new JRadioButton();
   repUtlButtons[1] = new JRadioButton();
 }
 JLabel repSupLabel = new JLabel();
 JRadioButton[] repSupButtons = new JRadioButton[2];{
   repSupButtons[0] = new JRadioButton();
   repSupButtons[1] = new JRadioButton();
 }
 JLabel repPmLabel = new JLabel();
 JRadioButton[] repPmButtons = new JRadioButton[2];{
   repPmButtons[0] = new JRadioButton();
   repPmButtons[1] = new JRadioButton();
 }
 JLabel repRblaLabel = new JLabel();
 JRadioButton[] repRblaButtons = new JRadioButton[2];{
   repRblaButtons[0] = new JRadioButton();
   repRblaButtons[1] = new JRadioButton();
 }
 JLabel repCblaLabel = new JLabel();
 JRadioButton[] repCblaButtons = new JRadioButton[2];{
   repCblaButtons[0] = new JRadioButton();
   repCblaButtons[1] = new JRadioButton();
 }
 // weights.
 boolean[] wgtCompOns;
 JLabel wgtLabel = new JLabel();
 JPanel wgtPanel = new JPanel();
 JRadioButton[] wgtButtons = new JRadioButton[2];{
   wgtButtons[0] = new JRadioButton();
   wgtButtons[1] = new JRadioButton();
 }
 JButton wgtLoadButton = new JButton();
 JLabel wgtFileLabel = new JLabel();
 JLabel wgtMethodLabel = new JLabel();
 JTextField[][] wgtFields = new JTextField[2][];{
    wgtFields[1] = new JTextField[2];
    wgtFields[1][0] = new JTextField();
    wgtFields[1][1] = new JTextField();
 }
 // rule bla
 boolean[] rblaCompOns;
 JPanel rblaPanel = new JPanel();
 // chunk bla.
 boolean[] cblaCompOns;
 JPanel cblaPanel = new JPanel();
 // action-oriented EM bla
 JPanel ablaPanel = new JPanel();
 // non-action-oriented EM bla
 JPanel nblaPanel = new JPanel();
 // utility
 boolean[] utlCompOns;
 JPanel utlPanel = new JPanel();
 // em
 JPanel emPanel = new JPanel();
 JLabel emLabel = new JLabel();
 JLabel emthLabel = new JLabel();
 JTextField emthField = new JTextField();
 JLabel emNumLabel = new JLabel();
 JTextField emNumField = new JTextField();
 JLabel emFreqLabel1 = new JLabel();
 JLabel emFreqLabel2 = new JLabel();
 JTextField emFreqField = new JTextField();
 // similarity
 JPanel simPanel = new JPanel();
 JLabel simLabel = new JLabel();
 JRadioButton[] simButtons = new JRadioButton[2];{
   simButtons[0] = new JRadioButton();
   simButtons[1] = new JRadioButton();
 }
 JButton simLoadButton = new JButton();
 JLabel simFileLabel = new JLabel();
 JLabel simMethodLabel = new JLabel();
 JTextField[][] simFields = new JTextField[2][];{
    simFields[1] = new JTextField[2];
    simFields[1][0] = new JTextField();
    simFields[1][1] = new JTextField();
 }
 JLabel simLabel11 = new JLabel();
 JLabel simLabel1 = new JLabel();
 JLabel simthLabel = new JLabel();
 JTextField simthField = new JTextField();
 JLabel simbalLabel = new JLabel();
 JLabel simbalLabel1 = new JLabel();
 JTextField simbalField1 = new JTextField();
 JLabel simbalLabel2 = new JLabel();
 JTextField simbalField2 = new JTextField();
 // learning.
 JPanel learnPanel = new JPanel();
 JLabel learnLabel = new JLabel();
 JLabel ruleExtLabel = new JLabel();
 JRadioButton[] ruleExtButtons = new JRadioButton[2];{
   ruleExtButtons[0] = new JRadioButton();
   ruleExtButtons[1] = new JRadioButton();
 }
 JLabel ruleEncLabel = new JLabel();
 JRadioButton[] ruleEncButtons = new JRadioButton[2];{
   ruleEncButtons[0] = new JRadioButton();
   ruleEncButtons[1] = new JRadioButton();
 }
 JLabel ruleAssimLabel = new JLabel();
 JRadioButton[] ruleAssimButtons = new JRadioButton[2];{
   ruleAssimButtons[0] = new JRadioButton();
   ruleAssimButtons[1] = new JRadioButton();
 }
 JLabel chunkExtLabel = new JLabel();
 JRadioButton[] chunkExtButtons = new JRadioButton[2];{
   chunkExtButtons[0] = new JRadioButton();
   chunkExtButtons[1] = new JRadioButton();
 }
 JLabel chunkEncLabel = new JLabel();
 JRadioButton[] chunkEncButtons = new JRadioButton[2];{
   chunkEncButtons[0] = new JRadioButton();
   chunkEncButtons[1] = new JRadioButton();
 }
 // knowledge encoding
 JPanel encodePanel = new JPanel();
 JLabel encodeLabel = new JLabel();
 JLabel chunkEncProbLabel = new JLabel();
 JTextField chunkEncProbField = new JTextField();
 JLabel ruleEncProbLabel = new JLabel();
 JTextField ruleEncProbField = new JTextField();
 // density
 JPanel denPanel = new JPanel();
 JLabel densityLabel = new JLabel();
 JLabel chunkDenLabel = new JLabel();
 JTextField chunkDenField = new JTextField();
 JLabel ruleDenLabel = new JLabel();
 JTextField ruleDenField = new JTextField();
 // explicit knowledge extraction from AMN
 JPanel extractPanel = new JPanel();
 JLabel extLabel = new JLabel();
 JLabel ruleExtThLabel = new JLabel();
 JLabel chunkExtThLabel = new JLabel();
 JLabel ruleExtProbLabel = new JLabel();
 JLabel chunkExtProbLabel = new JLabel();
 JTextField[] ruleExtFields = new JTextField[2];{
   ruleExtFields[0] = new JTextField();
   ruleExtFields[1] = new JTextField();
 }
 JTextField[] chunkExtFields = new JTextField[2];{
   chunkExtFields[0] = new JTextField();
   chunkExtFields[1] = new JTextField();
 }
 // app.
 JPanel appPanel = new JPanel();
 JLabel appLabel = new JLabel();
 JLabel appLabel1 = new JLabel();
 JLabel appLabel2 = new JLabel();
 JRadioButton[] appButtons = new JRadioButton[2];{
   appButtons[0] = new JRadioButton();
   appButtons[1] = new JRadioButton();
 }
 // return buttons.
 JButton returnButton = new JButton();
 OptionDims[] optDims = new OptionDims[2];

 public SelectionGks( JFrame superFrame, int width, int height, SettingTransfer transfer )
 {
    super( superFrame, width, height, transfer );
    initGui();
 }

 public void initGui()
 {
    options = transfer.getOptions( Global.NACS, Global.NACS_GKS, 0, 0, 0, 0 );
    Border BORDER = BorderFactory.createLineBorder(Color.black);
    Color COLOR = SystemColor.activeCaption;
    String[] onOffTexts = { "ON", "OFF" };
    setSize( 960, 720 );
    // caption.
    initLabel( capLabel,"G K S     O P T I O N S", new java.awt.Font("Dialog", 1, 20),
               SwingConstants.CENTER, new Rectangle(338, 1, 277, 27));
    // general
    initPanel( genPanel,BORDER, null, new Rectangle(6, 26, 310, 150));
    initLabel( ioLabel,"GKS general options",new Rectangle(4, 8, 125, 17) );
    initButton( inDimButton, "dimensions in input", new Rectangle( 40, 30, 180, 20));
    initButton( outDimButton, "dimensions in output", new Rectangle( 40, 55, 180, 20));
    // frames for dimension selection
    optDims[0] = new OptionDims( this, 420, 780, "IDN INPUT SPECIFICATION", 30, transfer,
        options[IN_DIM_TYPE].getOptionItem(0).getParameter(0).getIntValue(), options[IN_DIM_IDX] );
    optDims[1] = new OptionDims( this, 420, 780, "IDN OUTPUT SPECIFICATION", 30, transfer,
        options[OUT_DIM_TYPE].getOptionItem(0).getParameter(0).getIntValue(), options[OUT_DIM_IDX] );
    initDimButton( this, inDimButton, optDims[0] );
    initDimButton( this, outDimButton, optDims[1] );
    initLabel( tempLabel, "temperature for chunk selection", new Rectangle(4, 84, 200, 17));
    initField( tempField, String.valueOf(options[TEMP].getOptionItem(0).getParameter(0).getDoubleValue()),
               new Rectangle(210, 84, 30, 17), 5, options[TEMP], 0, 0 );
    Rectangle[] escRects = {new Rectangle(173, 103, 54, 17),new Rectangle(233, 104, 52, 17)};
    initButtonBlock( genPanel, escLabel, "experience-specific chunks", new Rectangle(4, 102, 159, 17),
                     escButtons, onOffTexts, escRects, options[ESC] );
    Rectangle[] epiRects = {new Rectangle(146, 124, 54, 17), new Rectangle(202, 124, 52, 17)};
    initButtonBlock( genPanel,epiLabel, "episodic chunks in EM", new Rectangle(4, 124, 136, 17),
                     epiButtons, onOffTexts, epiRects, options[EPI] );
    // weights
    initPanel(wgtPanel, BORDER, null, new Rectangle(6, 340, 310, 130));
    String[] wgtTexts = { "default (all weights are equal)", "user defined" };
    Rectangle[] wgtRects = { new Rectangle(8, 28, 200, 17), new Rectangle(8, 58, 120, 17)};
    initButtonBlock( wgtPanel, wgtLabel, "Weights of associative rule conditions", new Rectangle(4, 4, 240, 17),
                     wgtButtons, wgtTexts, wgtRects, options[WEIGHT], wgtFields, 1, wgtLoadButton );
    initLoadBlock( wgtPanel, wgtLoadButton, new Rectangle(160, 58, 72, 17), wgtFileLabel,
         new Rectangle(24, 78, 100, 17), wgtMethodLabel, new Rectangle(24, 98, 120, 17), wgtFields[1][0],
         new Rectangle(130, 78, 170, 17), wgtFields[1][1], new Rectangle(150, 98, 150, 17),options[WEIGHT],1);
    wgtCompOns = new boolean[wgtPanel.getComponentCount()];
    super.initPanelStatus( options[SUP_ON], ON, wgtPanel, wgtCompOns );
    // rule utility
    initPanel( utlPanel, BORDER, null, new Rectangle(6, 480, 310, 320) );
    initUtilityBlock(utlPanel, "Rule utility options", options[UTL]);
    utlCompOns = new boolean[utlPanel.getComponentCount()];
    super.initPanelStatus( options[UTL_ON], ON, utlPanel, utlCompOns );
    // rule bla.
    initPanel( rblaPanel, BORDER, null, new Rectangle(320, 26, 290, 180) );
    initBlaBlock( rblaPanel, "Options for associative rule base-level activation", options[RBLA] );
    rblaCompOns = new boolean[rblaPanel.getComponentCount()];
    super.initPanelStatus( options[RBLA_ON], ON, rblaPanel, rblaCompOns );
    // chunk bla.
    initPanel( cblaPanel, BORDER, null, new Rectangle(320, 220, 290, 180) );
    initBlaBlock( cblaPanel, "NACS chunk base-level activation", options[CBLA] );
    cblaCompOns = new boolean[cblaPanel.getComponentCount()];
    super.initPanelStatus( options[CBLA_ON], ON, cblaPanel, cblaCompOns  );
    // representation
    initPanel( repPanel, BORDER, null, new Rectangle(6, 180, 310, 150) );
    initLabel( repLabel, "Options for associative rule representations", new Rectangle(8, 7, 300, 17));
    Rectangle[] repUtlRects = {new Rectangle(83, 30, 45, 17), new Rectangle(147, 28, 52, 17)};
    initButtonBlock( repPanel, repUtlLabel, "rule utility", new Rectangle(12, 28, 68, 17),
                     repUtlButtons, onOffTexts, repUtlRects, options[UTL_ON], ON, utlPanel, utlCompOns );
    Rectangle[] repSupRects = {new Rectangle(100, 48, 45, 17), new Rectangle(161, 46, 52, 17)};
    initButtonBlock( repPanel, repSupLabel, "rule support", new Rectangle(13, 49, 75, 17),
                     repSupButtons, onOffTexts, repSupRects, options[SUP_ON], ON, wgtPanel, wgtCompOns );
    Rectangle[] repPmRects = {new Rectangle(112, 71, 45, 17),new Rectangle(166, 69, 52, 17)};
    initButtonBlock( repPanel, repPmLabel, "partial matching", new Rectangle(11, 72, 97, 17),
                     repPmButtons, onOffTexts, repPmRects, options[PM_ON] );
    Rectangle[] repRblaRects = {new Rectangle(156, 95, 45, 17),new Rectangle(208, 95, 52, 17)};
    initButtonBlock( repPanel, repRblaLabel, "rule base-level activation", new Rectangle(11, 97, 143, 17),
                     repRblaButtons, onOffTexts, repRblaRects, options[RBLA_ON], ON, rblaPanel, rblaCompOns );
    Rectangle[] repCblaRects = {new Rectangle(176, 125, 45, 17),new Rectangle(228, 127, 52, 17)};
    initButtonBlock( repPanel, repCblaLabel, "chunk base-level activation", new Rectangle(9, 124, 160, 17),
                     repCblaButtons, onOffTexts, repCblaRects, options[CBLA_ON], ON, cblaPanel, cblaCompOns );
    // action-oriented EM
    initPanel( ablaPanel, BORDER, null, new Rectangle(320, 420, 290, 180) );
    initBlaBlock( ablaPanel, "action-oriented EM base-level activation", options[ABLA] );
    // non-action-oriented EM
    initPanel( nblaPanel, BORDER, null, new Rectangle(320, 620, 290, 180) );
    initBlaBlock( nblaPanel, "non-action-oriented EM base-level activation", options[NBLA] );
    // EM
    initPanel( emPanel, BORDER, null, new Rectangle(614, 26, 330, 104));
    initLabel( emLabel,"EM parameters", new Rectangle(4, 4, 96, 17) );
    initLabel( emthLabel, "EM thresholds", new Rectangle(4, 26, 87, 17));
    initField( emthField, String.valueOf(options[EM_TH].getOptionItem(0).getParameter(0).getDoubleValue()),
               new Rectangle(98, 24, 32, 17), 4, options[EM_TH], 0, 0  );
    initLabel( emNumLabel, "number of items for off-line training of ACS", new Rectangle(4, 42, 248, 17));
    initField( emNumField, String.valueOf(options[EM_ITEM].getOptionItem(0).getParameter(0).getIntValue()),
               new Rectangle(256, 42, 24, 17), 4, options[EM_ITEM], 0, 0  );
    initLabel( emFreqLabel1, "Number of repetitions of items for off-line training", new Rectangle(4, 60, 290, 17));
    initLabel( emFreqLabel2, "of ACS", new Rectangle(4, 78, 40, 17));
    initField( emFreqField, String.valueOf(options[EM_ITER].getOptionItem(0).getParameter(0).getIntValue()),
               new Rectangle(50, 78, 24, 17), 4, options[EM_ITER], 0, 0  );
    // similarity.
    initPanel( simPanel, BORDER, null, new Rectangle(614, 140, 330, 200));
    initLabel( simLabel1, "Options for similarity-based reasoning", new Rectangle(4, 8, 240, 17));
    String[] simTexts = {"default", "user defined"};
    Rectangle[] simRects = {new Rectangle(12, 48, 78, 17),new Rectangle(12, 84, 100, 17)};
    initButtonBlock( simPanel, simLabel, "similarity measure", new Rectangle(8, 28, 114, 17),
                     simButtons, simTexts, simRects, options[SBR], simFields, 1, simLoadButton );
    initLoadBlock( simPanel, simLoadButton, new Rectangle(138, 84, 67, 22), simFileLabel,
        new Rectangle(28, 103, 128, 17), simMethodLabel, new Rectangle(28, 124, 150, 17), simFields[1][0],
        new Rectangle(140, 105, 160, 17), simFields[1][1], new Rectangle(150, 125, 150, 17), options[SBR],1);
    initLabel( simLabel11,"S(c1,c2) = dim # of (c1 && c2) / f(dim # of c2)",new Rectangle(28, 64, 256, 17));
    initLabel( simthLabel, "similarity threshold", new Rectangle(11, 149, 114, 17));
    initField( simthField, String.valueOf(options[SBR_TH].getOptionItem(0).getParameter(0).getDoubleValue()),
               new Rectangle(129, 148, 37, 17), 4, options[SBR_TH], 0, 0  );
    initLabel( simbalLabel, "balancing constants", new Rectangle(12, 172, 128, 17));
    initLabel( simbalLabel1, "c14 =", new Rectangle(140, 172, 32, 17) );
    initField( simbalField1, String.valueOf(options[SBR_PARAM].getOptionItem(0).getParameter(0).getDoubleValue()),
               new Rectangle(172, 172, 24, 17), 4, options[SBR_PARAM], 0, 0 );
    initLabel( simbalLabel2, "c15 =", new Rectangle(220, 172, 32, 17));
    initField( simbalField2, String.valueOf(options[SBR_PARAM].getOptionItem(0).getParameter(1).getDoubleValue()),
               new Rectangle(252, 172, 24, 17), 4, options[SBR_PARAM], 0, 1 );
    // NACS learning.
    initPanel( learnPanel, BORDER, null, new Rectangle(614, 350, 330, 130) );
    initLabel( learnLabel, "Options for non-action centered learning",new Rectangle(4, 9, 230, 17) );
    Rectangle[] ruleEncRects = {new Rectangle(174, 30, 44, 17), new Rectangle(218, 30, 45, 17)};
    initButtonBlock( learnPanel, ruleEncLabel, "encoding associative rules", new Rectangle(8, 30, 155, 17),
                     ruleEncButtons, onOffTexts, ruleEncRects, options[RENC_ON] );
    Rectangle[] chunkEncRects = {new Rectangle(123, 50, 44, 17), new Rectangle(168, 50, 45, 17)};
    initButtonBlock( learnPanel, chunkEncLabel, "encoding chunks", new Rectangle(8, 50, 102, 17),
                     chunkEncButtons, onOffTexts, chunkEncRects, options[CENC_ON] );
    Rectangle[] ruleAssimRects = {new Rectangle(186, 70, 44, 17), new Rectangle(230, 70, 45, 17)};
    initButtonBlock( learnPanel, ruleAssimLabel, "associative rule assimilation", new Rectangle(8, 70, 176, 17),
                     ruleAssimButtons, onOffTexts, ruleAssimRects, options[ASSIM_ON] );
    Rectangle[] ruleExtRects = {new Rectangle(186, 90, 44, 17), new Rectangle(230, 90, 52, 17)};
    initButtonBlock( learnPanel, ruleExtLabel, "associative rule extraction", new Rectangle(8, 90, 176, 17),
                     ruleExtButtons, onOffTexts, ruleExtRects, options[REXT_ON], ON, ruleExtFields );
    Rectangle[] chunkExtRects = {new Rectangle(206, 110, 44, 17), new Rectangle(250, 110, 45, 17)};
    initButtonBlock( learnPanel, chunkExtLabel, "chunk extraction from the AMN", new Rectangle(8, 110, 176, 17),
                     chunkExtButtons, onOffTexts, chunkExtRects, options[CEXT_ON], ON, chunkExtFields );
    // knowledge encoding
    initPanel( encodePanel, BORDER, null, new Rectangle(614, 490, 330, 50));
    initLabel( encodeLabel, "Probability parameters for explicit knowledge encoding", new Rectangle(4, 6, 320, 17) );
    initLabel( chunkEncProbLabel, "For chunks", new Rectangle(8, 24, 72, 17));
    initField( chunkEncProbField, String.valueOf(options[CENC_PROB].getOptionItem(0).getParameter(0).getDoubleValue()),
               new Rectangle(80, 24, 32, 17), 4, options[CENC_PROB], 0, 0  );
    initLabel( ruleEncProbLabel, "For associative rules", new Rectangle(136, 24, 124, 17));
    initField( ruleEncProbField, String.valueOf(options[RENC_PROB].getOptionItem(0).getParameter(0).getDoubleValue()),
               new Rectangle(260, 24, 32, 17), 4, options[RENC_PROB], 0, 0 );
    // density
    initPanel( denPanel, BORDER, null, new Rectangle(614, 550, 330, 50));
    initLabel( densityLabel,"Density parameters",new Rectangle(4, 4, 122, 17) );
    initLabel( chunkDenLabel, "For chunks", new Rectangle(8, 24, 72, 17) );
    initField( chunkDenField, String.valueOf(options[CDEN].getOptionItem(0).getParameter(0).getDoubleValue()),
               new Rectangle(80, 24, 32, 17), 4, options[CDEN], 0, 0 );
    initLabel( ruleDenLabel, "For associative rules", new Rectangle(136, 24, 124, 17) );
    initField( ruleDenField, String.valueOf(options[RDEN].getOptionItem(0).getParameter(0).getDoubleValue()),
               new Rectangle(260, 24, 32, 17), 4, options[RDEN], 0, 0 );
    // explicit knowledge extraction from AMN
    initPanel( extractPanel, BORDER,null, new Rectangle(614, 605, 330, 120));
    initLabel( extLabel, "Parameters for explicit knowledge extraction from AMN",new Rectangle(4, 6, 320, 17) );
    initLabel( ruleExtThLabel, "extraction threshold for associative rules", new Rectangle(8, 29, 240, 17));
    initField( ruleExtFields[0], String.valueOf(options[REXT_TH].getOptionItem(0).getParameter(0).getDoubleValue()),
               new Rectangle(248, 28, 32, 17), 4, options[REXT_TH], 0, 0  );
    initLabel( chunkExtThLabel, "extraction threshold for chunks", new Rectangle(8, 48, 184, 17));
    initField( chunkExtFields[0], String.valueOf(options[CEXT_TH].getOptionItem(0).getParameter(0).getDoubleValue()),
               new Rectangle(192, 47, 32, 17), 4, options[CEXT_TH], 0, 0 );
    initLabel( ruleExtProbLabel,"extraction probability for associative rules",new Rectangle(8, 68, 250, 17));
    initField( ruleExtFields[1], String.valueOf(options[REXT_PROB].getOptionItem(0).getParameter(0).getDoubleValue()),
               new Rectangle(258, 67, 32, 17), 4, options[REXT_PROB], 0, 0 );
    initLabel( chunkExtProbLabel, "extraction probability for chunks", new Rectangle(8, 87, 190, 17));
    initField( chunkExtFields[1], String.valueOf(options[CEXT_PROB].getOptionItem(0).getParameter(0).getDoubleValue()),
               new Rectangle(200, 88, 32, 17), 4, options[CEXT_PROB], 0, 0 );
    // app
    initPanel( appPanel, BORDER, null, new Rectangle(614, 730, 330, 70));
    String[] appTexts = {"minimum activation","average activation"};
    Rectangle[] appRects = {new Rectangle(6, 44, 133, 17),new Rectangle( 166, 44, 123, 17)};
    initButtonBlock( appPanel, appLabel, "chunk extraction from the AMN", new Rectangle(8, 114, 169, 17),
                     appButtons, appTexts, appRects, options[TH_MEASURE] );
    initLabel( appLabel1, "Options for application of the extraction theshold", new Rectangle(4, 8, 280, 17) );
    initLabel( appLabel2, "for associative rules and for chunks", new Rectangle(4, 25, 256, 17) );
    // return buttons.
    initReturnButton( returnButton, "RETURN", new Rectangle(834, 810, 110, 29));
    genPanel.add(ioLabel, null);
    genPanel.add(inDimButton, null);
    genPanel.add(outDimButton, null);
    genPanel.add(tempLabel, null);
    genPanel.add(tempField, null);
    repPanel.add(repLabel, null);
    simPanel.add(simLabel, null);
    simPanel.add(simLabel1, null);
    simPanel.add(simLabel11, null);
    simPanel.add(simthLabel, null);
    simPanel.add(simthField, null);
    simPanel.add(simbalLabel, null);
    simPanel.add(simbalLabel1, null);
    simPanel.add(simbalField1, null);
    simPanel.add(simbalLabel2, null);
    simPanel.add(simbalField2, null);
    learnPanel.add(learnLabel, null);
    encodePanel.add(encodeLabel, null);
    encodePanel.add(chunkEncProbLabel, null);
    encodePanel.add(ruleEncProbLabel, null);
    encodePanel.add(chunkEncProbField, null);
    encodePanel.add(ruleEncProbField, null);
    denPanel.add(densityLabel, null);
    denPanel.add(ruleDenLabel, null);
    denPanel.add(chunkDenLabel, null);
    denPanel.add(ruleDenField, null);
    denPanel.add(chunkDenField, null);
    extractPanel.add(extLabel, null);
    extractPanel.add(ruleExtThLabel, null);
    extractPanel.add(ruleExtFields[0], null);
    extractPanel.add(chunkExtThLabel, null);
    extractPanel.add(chunkExtFields[0], null);
    extractPanel.add(ruleExtProbLabel, null);
    extractPanel.add(ruleExtFields[1], null);
    extractPanel.add(chunkExtProbLabel, null);
    extractPanel.add(chunkExtFields[1], null);
    appPanel.add(appLabel1, null);
    appPanel.add(appLabel2, null);
    emPanel.add(emLabel, null);
    emPanel.add(emthLabel, null);
    emPanel.add(emthField, null);
    emPanel.add(emFreqLabel1, null);
    emPanel.add(emFreqLabel2, null);
    emPanel.add(emFreqField, null);
    emPanel.add(emNumLabel, null);
    emPanel.add(emNumField, null);
    wgtPanel.add(wgtLabel, null);
    parent.add(capLabel, null);
    parent.add(genPanel, null);
    parent.add(repPanel, null);
    parent.add(wgtPanel, null);
    parent.add(utlPanel, null);
    parent.add(cblaPanel, null);
    parent.add(rblaPanel, null);
    parent.add(ablaPanel, null);
    parent.add(nblaPanel, null);
    parent.add(emPanel, null);
    parent.add(simPanel, null);
    parent.add(learnPanel, null);
    parent.add(encodePanel, null);
    parent.add(denPanel, null);
    parent.add(extractPanel, null);
    parent.add(appPanel, null);
    parent.add(returnButton, null);
    update();
 }

 public void update()
 {
    // EM.
    if( transfer.isEmOn() ){
        emPanel.setEnabled( true );
        for( int i = 0; i < emPanel.getComponentCount(); i++ )
             emPanel.getComponent(i).setEnabled( true );
        ablaPanel.setEnabled( true );
        for( int i = 0; i < ablaPanel.getComponentCount(); i++ )
             ablaPanel.getComponent(i).setEnabled( true );
        super.updateBlaPanel( ablaPanel, options[ABLA] );
        nblaPanel.setEnabled( true );
        for( int i = 0; i < nblaPanel.getComponentCount(); i++ )
             nblaPanel.getComponent(i).setEnabled( true );
        super.updateBlaPanel( nblaPanel, options[NBLA] );
    }
    else{
        emPanel.setEnabled( false );
        for( int i = 0; i < emPanel.getComponentCount(); i++ )
             emPanel.getComponent(i).setEnabled( false );
        ablaPanel.setEnabled( false );
        for( int i = 0; i < ablaPanel.getComponentCount(); i++ )
             ablaPanel.getComponent(i).setEnabled( false );
        nblaPanel.setEnabled( false );
        for( int i = 0; i < nblaPanel.getComponentCount(); i++ )
             nblaPanel.getComponent(i).setEnabled( false );
    }
    // SBR.
    if( transfer.getGksReasoningType() == Global.SB_FORWARD_CHAIN ){
        simPanel.setEnabled( true );
        for( int i = 0; i < simPanel.getComponentCount(); i++ )
             simPanel.getComponent(i).setEnabled( true );
        if( options[SBR].getUserChoice() == 0 ){ // default
            for( int i = 0; i < 2; i++ )
                 simFields[1][i].setEnabled( false );
            simLoadButton.setEnabled( false );
        }
    }
    else{
        simPanel.setEnabled( false );
        for( int i = 0; i < simPanel.getComponentCount(); i++ )
             simPanel.getComponent(i).setEnabled( false );
    }
 }
}