package clarion.options.supervise;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import clarion.system.*;
import clarion.options.*;

public class GuiSupervisory extends GuiTemplate{

  //final int SUB_OPT_NUMS[] = {  2, 2, 29 };
  String buttonTexts[] = {
     "Options for Supervisory Subsystem components",
     "Options for Motivational Subsystem",
     "Options for Meta-Cognitive Subsystem",
  };
  SelectionTemplate subSelections[];

  public GuiSupervisory( int num )
  {
     super( num, "OPTIONS OF THE SUPERVISORY SUBSYSTEMS" );
     setButtonTexts( buttonTexts );
     subSelections = new SelectionTemplate[3];
     subSelections[0] = new SelectionSuperComp( this, 400, 240, transfer );
     subSelections[1] = new SelectionMS( this, 750, 300, transfer );
     subSelections[2] = new SelectionMCS( this, 960, 850, transfer );
  }

  public void returnFrom()
  {
     if( transfer.isMsOn() ){
         optButtons[1].setEnabled( true );
         if( subSelections[1] == null )
             subSelections[1] = new SelectionMS( this, 750, 300, transfer );
         ((SelectionMS)subSelections[1]).update();
     }
     else
         optButtons[1].setEnabled( false );
     if( transfer.isMcsOn() ){
         optButtons[2].setEnabled( true );
         if( subSelections[2] == null )
             subSelections[2] = new SelectionMCS( this, 960, 850, transfer );
         ((SelectionMCS)subSelections[2]).update();
     }
     else
         optButtons[2].setEnabled( false );
  }

  public void addActionListeners( final JFrame mainFrame )
  {
     for( int i = 0; i < OPT_NUM; i++ ){
          final int idx = i;
          optButtons[ idx ].addActionListener(  new  ActionListener(){
                            public void actionPerformed( ActionEvent e ){
                               activeButtonIdx = idx;
                               subSelections[idx].setEnabled( true );
                               subSelections[idx].setVisible( true );
                            }
                    } );
     }
  }
}