package tasksimulators.oldsimu;
import clarion.common.*;
import clarion.tools.*;
import clarion.acs.*;

public class PCRerRule extends T_RerRule{

 public PCRerRule ( int dimNum, int dimValNum,
                    boolean uFlag, boolean mFlag, boolean fFlag, boolean rFlag,
                    int[] state, int action, int totNum, double initBLA )
 {
     super( dimNum, dimValNum, uFlag, mFlag, fFlag, rFlag,
            state,  action, totNum, initBLA );
 }

 /*
 // convert the rule into a text string.
 public void setRuleString()
 {
     int MAX_DIM_NUM = DIMENSION_NUM - 1;

     ruleString.delete( 0, ruleString.length() );
     ruleString.append( "{ " );

     // get rid of time sequence in the upper level.
     for( int i = 0; i < MAX_DIM_NUM; i++ )
     {
          ruleString.append( "(" );
          for( int j = 0; j < DIM_VAL_NUM; j++ )
          {
               if( stateX[ i ][ j ] == 1 )
               {
                   ruleString.append( String.valueOf( j ) );
                   ruleString.append( " " );
               }
          }
          ruleString.append( ")" );
          if( i < MAX_DIM_NUM - 1 )
              ruleString.append( "," );
     }
     ruleString.append( " }" );

     ruleString.append( " --> action " + String.valueOf( suggestedAction ));
     ruleString.append( "\n" );
 }
 */

 // if current state matches the generalized rule condition.
 public boolean matchGeneralCondition( int[] state )
 {
        setStateY( state );

        int dNum = DIMENSION_NUM - 1;
        int misCount = 0;
        for( int i = 0; i < dNum; i++ )
        {
            if( stateY[ i ] < 0 )
                continue;
            if( stateX[ i ][ stateY[i] ] == 0 )
            {
                DIFF_DIM_IDX = i;
                misCount++;
            }
            if( misCount > 1 )
                return false;
        }

        if( misCount == 1 )
            return true;
        else
            return false;
 }

 // if current state matches the rule condition.
 public boolean matchCondition( int[] state )
 {
    setStateY( state );

    int dNum = DIMENSION_NUM - 1;
    for( int i = 0; i < dNum; i++ )
    {
         if( stateY[ i ] < 0 )
             continue;
         if( stateX[ i ][ stateY[i] ] == 0 )
             return false;
    }

    return true;
  }
}