// class T_LinkedNode used for managing the rule nodes.
package tasksimulators.oldsimu;

public class T_LinkedNode {

   private T_RerRule element;
   private T_LinkedNode sible;
   private T_LinkedNode child;

   public T_LinkedNode( int DIMENSION_NUM, int DIM_VAL_NUM, boolean UTL_FLAG, boolean RT_FLAG )
   {
         element = new T_RerRule( DIMENSION_NUM, DIM_VAL_NUM, UTL_FLAG, RT_FLAG );
         sible = null;
         child = null;
   }

   public T_LinkedNode( int DIMENSION_NUM, int DIM_VAL_NUM,
                      boolean UTL_FLAG, boolean MATCH_ALL_FLAG, boolean FULL_FLAG, boolean RT_FLAG,
                      int[] state, int action, int TOT_TRIAL_NUM, double INIT_BLA )
   {
         element = new T_RerRule( DIMENSION_NUM, DIM_VAL_NUM,
                                UTL_FLAG, MATCH_ALL_FLAG, FULL_FLAG, RT_FLAG,
                                state, action, TOT_TRIAL_NUM, INIT_BLA );
         sible = null;
         child = null;
   }

   public T_LinkedNode( int DIMENSION_NUM, int VALID_DIM_NUM, int DIM_VAL_NUM,
                      boolean UTL_FLAG, boolean MATCH_ALL_FLAG, boolean FULL_FLAG, boolean RT_FLAG,
                      int[] state, int action, int TOT_TRIAL_NUM, double INIT_BLA )
   {
         element = new T_RerRuleEx( DIMENSION_NUM, VALID_DIM_NUM, DIM_VAL_NUM,
                                  UTL_FLAG, MATCH_ALL_FLAG, FULL_FLAG, RT_FLAG,
                                  state, action, TOT_TRIAL_NUM, INIT_BLA );
         sible = null;
         child = null;
   }

   public T_LinkedNode( T_RerRule rule )
   {
         element = rule;
         sible = null;
         child = null;
   }

   public T_RerRule getElement()
   {
         return element;
   }

   public T_LinkedNode getSible()
   {
         return sible;
   }

   public T_LinkedNode getChild()
   {
         return child;
   }

   public void setElement( T_RerRule rule )
   {
         element = rule;
   }

   public void setSible( T_LinkedNode s )
   {
         sible = s;
   }

   public void setChild( T_LinkedNode c )
   {
         child = c;
   }
 }